package cn.iocoder.yudao.module.iot.framework.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum DeviceStatusEnum {

    不可用("3"),
    离线("2"),
    在线("1");

    private final String value;

    // 一个可选的方法，用于根据整数值获取对应的枚举实例
    public static DeviceStatusEnum fromValue(String value) {
        for (DeviceStatusEnum status : DeviceStatusEnum.values()) {
            if (status.getValue().equals(value)) {
                return status;
            }
        }
        throw new IllegalArgumentException("Unknown value: " + value);
    }

}